


.shrines {
  width: 80%;
  display: grid;
  margin: auto;
  grid-gap: var(--padding-4);
  grid-template:
    "shrine-1 shrine-2 shrine-3"
    / 1fr 1fr 1fr;
  margin-bottom: var(--padding-4);
}

.shrine-1 { grid-area: shrine-1; }
.shrine-2 { grid-area: shrine-2; }
.shrine-3 { grid-area: shrine-3; }

@media (max-width: 768px) {
  .shrines {
    grid-template:
      "shrine-1 shrine-1"
      "shrine-2 shrine-3"
      / 1fr 1fr;
  }  
}

@media (max-width: 576px) {
  .shrines {
    width: 100%;
    grid-template:
      "shrine-1"
      "shrine-2"
      "shrine-3";
  }  
}

.shrine {
  text-decoration: none !important;
}

.shrine-content {
  border: var(--border);
  border-radius: var(--border-radius);
  background-color: var(--body);
  transition: 0.25s ease;
}

.shrine-content:hover {
  transform: scale(1.05);
}

.shrine-image {
  display: flex;
  justify-content: center;
  align-items: center;
}

.shrine-image img {
  max-width: 100%;
  height: 300px;
  object-fit: contain;
}

.shrine-title {
  padding-right: var(--padding-3);
  padding-left: var(--padding-3);
  padding-top: var(--padding-2);
  padding-bottom: var(--padding-2);
  background-color: var(--primary);
  color: var(--text-light);
  text-align: center;
  margin-bottom: var(--padding-2);
}

.shrine-description {
  text-align: center;
  color: var(--font) !important;
}

.bookshelf-item {
  width: 100%;
  display: grid;
  margin: auto;
  grid-gap: 10px;
  grid-template:
    "bookshelf-item-image bookshelf-item-description"
    / 200px 1fr;
  padding: var(--padding-4);
  border: var(--border);
  border-radius: var(--border-radius);
  background-color: var(--body);
  ;
}

.bookshelf-item-image { grid-area: bookshelf-item-image; }
.bookshelf-item-description { grid-area: bookshelf-item-description; }

@media (max-width: 768px) {
  .bookshelf-item {
    grid-template:
      "bookshelf-item-image"
      "bookshelf-item-description";
  } 
  
  .bookshelf-item-image {
    margin: auto;
  }
  
  .bookshelf-item-description {
    text-align: center;
  }
}

.bookshelf-item-image img {
  width: 100%;
  max-width: 200px;
  height: 100%;
  object-fit: contain;
}

.bookshelf-item-description h2 {
  padding-right: var(--padding-3);
  padding-left: var(--padding-3);
  padding-top: var(--padding-2);
  padding-bottom: var(--padding-2);
  background-color: var(--primary);
  color: var(--text-light);
  margin-bottom: var(--padding-2);
}